Skip to content

Send SMS

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

When sending SMS, you must specify the SMS Channel. Each mobile phone number can only send once in the same channel within one minute.

Method name

AuthenticationClient.send_sms

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
channelstringYes-SMS channel, specify the purpose of sending this SMS:
- CHANNEL_LOGIN: for user login
- CHANNEL_REGISTER: for user registration
- CHANNEL_RESET_PASSWORD: for resetting password
- CHANNEL_BIND_PHONE: Used to bind a phone number
- CHANNEL_UNBIND_PHONE: Used to unbind a phone number
- CHANNEL_BIND_MFA: Used to bind MFA
- CHANNEL_VERIFY_MFA: Used to verify MFA
- CHANNEL_UNBIND_MFA: Used to unbind MFA
- CHANNEL_COMPLETE_PHONE: Used to complete the phone number information when registering/login
- CHANNEL_IDENTITY_VERIFICATION: Used for user real-name authentication
- CHANNEL_DELETE_ACCOUNT: Used to cancel an account
CHANNEL_LOGIN
phoneNumberstringYes-Phone number without area code. If it is a foreign phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
phoneCountryCodestringNo-Mobile phone area code. This field is optional for mainland China mobile phone numbers. The GenAuth SMS service does not yet support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86

Request response

Type: SendSMSRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data structure

Agent infrastructure for identity, memory, and web action.